﻿@DemoApp @6 @DemoApp_Model @BellPlan6
Feature: BellPlans
Scenario: 1  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[NumberShare]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link
And I click on "[BuildSolution]" link
And I group steps into function as "LoginFunc"
And I enter into input field "[user]" the value "test"
And I enter into input field "[user]" the value "test"
And I end function

Scenario: 2  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[StandAlone]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 3  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[NumberShare]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 4  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[NumberShare]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 5  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[NumberShare]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 6  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[NumberShare]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 7  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[NumberShare]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 8  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[StandAlone]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 9  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[StandAlone]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 10  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BuyNew device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartPhonePlans]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 11  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BuyNew device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[TabletPlans]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 12  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[StandAlone]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link
And I click on "[BuildSolution]" link
And I group steps into function as "LoginFunc"
And I enter into input field "[user]" the value "test"
And I enter into input field "[user]" the value "test"
And I end function

Scenario: 13  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[StandAlone]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 14  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartPhonePlans]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 15  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[TabletPlans]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 16  goodpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BringOwn device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartWatchPlans]" link
And I click on "[StandAlone]" link
And I click on "[Plan]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 17  badpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BuyNew device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[TabletPlans]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

Scenario: 18  badpath @DemoApp @6 @DemoApp_Model @BellPlan6 Validate the  with BuyNew device for Existing
Given I navigate to "https://www.bell.ca/"
And I click on "[Mobility]" link
And I click on "[Plans]" link
And I click on "[SmartPhonePlans]" link
And I click on "(DeviceImage)" link
And I click on "[BuildPlan]" link

